<template>
    <media-layout>
        <v-container fluid fill-height>
            <v-layout align-center justify-center>
                <v-flex xs12 sm8 md6>
                    <v-card class="elevation-12" shaped>
                        <v-toolbar dark color="primary">
                            <v-toolbar-title>Créer le dossier</v-toolbar-title>
                        </v-toolbar>
                        <v-card-text>
                            <v-form>
                                <v-text-field name="name" autofocus label="Nom de dossier" @keyup.enter="saveFolder"
                                              type="text" v-model="form.name"
                                              :error-messages="form.errors.name"></v-text-field>
                                <v-container class="px-0" fluid>
                                    <v-checkbox v-model="form.downloadable" label="Fichier téléchargeable"></v-checkbox>
                                </v-container>
                                <v-file-input v-show="form.downloadable" value="" v-model="form.background" accept="image/*"
                                              label="Image de fond"></v-file-input>
                            </v-form>
                        </v-card-text>
                        <v-card-actions>
                            <v-spacer></v-spacer>
                            <v-btn @click.prevent="saveFolder" dark error color="primary" :loading="form.processing">
                                Enregistrer
                                <v-icon right dark>mdi-content-save</v-icon>
                            </v-btn>
                        </v-card-actions>
                    </v-card>
                </v-flex>
            </v-layout>
        </v-container>
    </media-layout>
</template>

<script>
import MediaLayout from './Media.vue'

export default {
    name: "CreateFolder",
    components: {MediaLayout},
    data() {
        return {
            form: this.$inertia.form({
                name: '',
                downloadable: false,
                background: null
            })
        }
    },
    methods: {
        saveFolder() {
            this.form.submit('post', this.$route('folders.store'))
        }
    }
}
</script>

<style scoped>

</style>
